Home Wiki > openSUSE:GNOME 3.0
Sign up | Login

openSUSE:GNOME 3.0

tagline: From openSUSE

GNOME 3.0 in openSUSE 11.4

openSUSE 11.4 was released with GNOME 2.32, but we know people want to enjoy the elegant design of GNOME 3. So the GNOME team has been working hard to provide GNOME 3.0 on openSUSE 11.4. We know you'll love it!

How to update openSUSE 11.4 to GNOME 3.0

Please read the instructions carefully before doing the update.

One-click install (recommended)

First, be sure to open a terminal before starting the upgrade process (you will need it to restart your system when the upgrade is complete), and close all other running applications.

Use the following 1-Click button:


For x86 32bit openSUSE 11.4
Oneclick.png
For x86 64bit openSUSE 11.4
Oneclick.png

Follow the instructions you'll get on screen. When the upgrade is complete, in the terminal opened before starting the upgrade, reboot your system:

$ sudo /sbin/reboot

If you forgot to open a terminal, right click on desktop background and choose "open a terminal" to get one.

Text upgrade

If you prefer to use a text upgrade, do the following (as root), after closing all running applications:

  • To make sure your update will be still running, in the unlikely event your graphical session terminate, start screen :
    # screen
  • add GNOME:STABLE:3.0 repository:
    # zypper ar obs://GNOME:STABLE:3.0/openSUSE_11.4 GNOME_STABLE_3.0
  • ensure it is configured as auto-refresh and get more priority than other openSUSE 11.4 repositories:
    # zypper mr -p 98 -r GNOME_STABLE_3.0
  • do the upgrade (close any running program before doing that):
    # zypper dup
  • ensure GNOME Shell and GNOME3 theme are installed:
    # zypper in gnome-shell metatheme-adwaita-common
  • ensure 3D support for Nvidia chipset (when not using proprietary driver) is installed:
    # zypper in Mesa-nouveau3d
  • when the upgrade is complete, reboot your system:
    # reboot

FAQ

I upgraded to GNOME 3.0, but I have a bug. Where should I report it?
Please file a bug against openSUSE 11.4 and put [gnome3] in the summary of the bug.

I installed (openSUSE) GNOME 3 live image on my system, what should I do to get the latest packages?
If you installed (openSUSE) GNOME 3 live image release 1.2.0 or later, you don't have to switch repository. Otherwise, you should switch repository which was providing GNOME 3 to GNOME:STABLE:3.0. Here is how to do this (as root):

  • add GNOME:STABLE:3.0 repository to your system :
    # zypper ar obs://GNOME:STABLE:3.0/openSUSE_11.4 GNOME_STABLE_3.0
  • ensure it is configured as auto-refresh and get more priority than other openSUSE 11.4 repositories:
    # zypper mr -p 98 -r GNOME_STABLE_3.0
  • remove old repository :
    # zypper rr home:fcrozat:gnome3_11.4
  • upgrade your system to use new repository:
    # zypper dup
  • reboot your system (because many libraries changed in the process)

I've tested (openSUSE) GNOME 3 live image but I can't find how to install it on my computer You have two options :

  • restart the live image and on boot menu, type liveinstall and press enter
  • once GNOME image is running, go to Applications and type live and the icon for live install should appear. Click on it and follow the instructions.

Known issues

  • GNOME Shell requires 3D (openGL) support which is not currently stable enough in VirtualBox or VMWare. We recommend you disable 3D support in those environment and use GNOME 3 Fallback mode instead (it will be selected automatically). FIXED :if you using VirtualBox 4.0.8 on Linux, with VirtualBox guest extensions version 4.0.8 (or later) installed, GNOME 3 should work.
  • NetworkManager 0.9, required by GNOME 3, has currently the following issues :
    • KDE 4 will not correctly detect network availability : you might want to switch to "traditional method with ifup" in Yast network settings, or use nm-applet (from NetworkManager-gnome package) in KDE. This issue will be fixed in next openSUSE release
    • FIXED Editing and enabling WPA-Enterprise wifi networks is not available from GNOME Shell network extension or GNOME Control Center network panel. This issue will be fixed shortly.
    • novellvpn support is not available : this issue is under investigation
    • root password is asked when configuring WEP/WPA account
  • autologin configuration in User Account panel is incorrect. Until this bug is fixed, use Yast (User and Group Management / Expert Options / Login settings / Autologin) https://bugzilla.novell.com/show_bug.cgi?id=688071
  • Root password is asked when Software update is updating package repositories. This is because security updates are set to be installed Automatically. Normal openSUSE 11.4 behaviour can be restored by opening Software Update Preferences and setting 'Automatically install' to Nothing
  • Additional packages need to be installed if using the above instructions on a KDE based OpenSuse 11.4 installation
  • FIXED Nautilus hangs on right-click > properties at present the workaround is to uninstall nautilus-extension-tracker-tags. See https://bugzilla.novell.com/show_bug.cgi?id=689447
  • ATI users should be aware of an issue with ATI's Proprietary driver that cause graphical corruption with GNOME 3. Using the open source radeon-driver should be a workaround. See http://ati.cchtml.com/show_bug.cgi?id=99

How to help?

You can help by:

  • testing and reporting issues
  • helping triage the bugs reported
  • helping people who upgrade and report issues in the forums